#!/bin/bash
#PBS -q charon@meta-pbs.metacentrum.cz
#PBS -l walltime=200:0:0
#PBS -l select=1:ncpus=8:mem=20gb
#PBS -N ex02_8ms
#PBS -M martin.lasota@tul.cz
#PBS -m abe

#export OMP_NUM_THREADS=$PBS_NUM_PPN #restricts count of parallel processes to number of processors given by scheduling system
#trap 'clean_scratch' EXIT # if the script exits, clean scratch

cd $PBS_O_WORKDIR
module add openfoam-6.0

. $WM_PROJECT_DIR/bin/tools/RunFunctions

#checkMesh >> log.checkMesh.txt
#topoSet
decomposePar
application="$(getApplication)"
runParallel $application
reconstructPar
